package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;

import java.util.List;
import java.util.Map;

public interface BillServiceI {
	/**
	 * 根据payType分页获取缴费或未缴费的数据
	 *
	 * @param userElement
	 * @param payType
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	Map<String, Object> getBillsList(UserElement userElement, Integer payType, Integer pageNum, Integer pageSize);
	
	/**
	 * 获取账单的详细信息
	 * @param billInvoiceId
	 * @return
	 */
	Map<String, Object> getBillInvoiceDetail(Integer communityId,Integer billInvoiceId);

	/**
	 * 获取缴费历史
	 * @param userElement
	 * @return
	 */
	ResponseBean payHistory(UserElement userElement);

	/**
	 * 订单详情
	 * @param orderNumber
	 * @return
	 */
	ResponseBean getOrderInfo(String orderNumber);
}
